/*
 * @file libleaftag/cache.h Cache functions
 *
 * @Copyright (C) 2005-2006 Christian Hammond
 *
 * This library is free software; you can redistribute it and/or
 * modify it under the terms of the GNU Lesser General Public
 * License as published by the Free Software Foundation; either
 * version 2.1 of the License, or (at your option) any later version.
 *
 * This library is distributed in the hope that it will be useful,
 * but WITHOUT ANY WARRANTY; without even the implied warranty of
 * MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * Lesser General Public License for more details.
 *
 * You should have received a copy of the GNU Lesser General Public
 * License along with this library; if not, write to the
 * Free Software Foundation, Inc., 59 Temple Place - Suite 330,
 * Boston, MA  02111-1307, USA.
 */
#ifndef _LEAFTAG_CACHE_H_
#define _LEAFTAG_CACHE_H_

#include <libleaftag/source.h>
#include <libleaftag/tag.h>

LtSource *lt_cache_get_source(const char *uri);
void lt_cache_add_source(LtSource *source);
void lt_cache_remove_source(LtSource *source);

LtTag *lt_cache_get_tag(const char *name);
void lt_cache_add_tag(LtTag *tag);
void lt_cache_remove_tag(LtTag *tag);

#endif /* _LEAFTAG_CACHE_H_ */
